Package org.springframework.security.config.ldap

# Class LdapUserServiceBeanDefinitionParser

java.lang.Object
org.springframework.security.config.authentication.AbstractUserDetailsServiceBeanDefinitionParser
org.springframework.security.config.ldap.LdapUserServiceBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class LdapUserServiceBeanDefinitionParser extends AbstractUserDetailsServiceBeanDefinitionParser

Since:
  2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATT_GROUP_ROLE_ATTRIBUTE`
`static final String`
`ATT_GROUP_SEARCH_BASE`
`static final String`
`ATT_GROUP_SEARCH_FILTER`
`static final String`
`ATT_SERVER`
`static final String`
`ATT_USER_SEARCH_BASE`
`static final String`
`ATT_USER_SEARCH_FILTER`
`static final String`
`DEF_GROUP_SEARCH_BASE`
`static final String`
`DEF_GROUP_SEARCH_FILTER`
`static final String`
`DEF_USER_SEARCH_BASE`
`static final String`
`INET_ORG_PERSON_MAPPER_CLASS`
`static final String`
`LDAP_AUTHORITIES_POPULATOR_CLASS`
`static final String`
`LDAP_SEARCH_CLASS`
`static final String`
`LDAP_USER_MAPPER_CLASS`
`static final String`
`PERSON_MAPPER_CLASS`

### Fields inherited from class org.springframework.security.config.authentication.AbstractUserDetailsServiceBeanDefinitionParser

`CACHING_SUFFIX`

## Constructor Summary

Constructors
Constructor
Description
`LdapUserServiceBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element elt, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
`protected String`
`getBeanClassName(Element element)`

### Methods inherited from class org.springframework.security.config.authentication.AbstractUserDetailsServiceBeanDefinitionParser

`parse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ATT_SERVER

public static final String ATT_SERVER

See Also:
  - Constant Field Values

### ATT_USER_SEARCH_FILTER

public static final String ATT_USER_SEARCH_FILTER

See Also:
  - Constant Field Values

### ATT_USER_SEARCH_BASE

public static final String ATT_USER_SEARCH_BASE

See Also:
  - Constant Field Values

### DEF_USER_SEARCH_BASE

public static final String DEF_USER_SEARCH_BASE

See Also:
  - Constant Field Values

### ATT_GROUP_SEARCH_FILTER

public static final String ATT_GROUP_SEARCH_FILTER

See Also:
  - Constant Field Values

### ATT_GROUP_SEARCH_BASE

public static final String ATT_GROUP_SEARCH_BASE

See Also:
  - Constant Field Values

### ATT_GROUP_ROLE_ATTRIBUTE

public static final String ATT_GROUP_ROLE_ATTRIBUTE

See Also:
  - Constant Field Values

### DEF_GROUP_SEARCH_FILTER

public static final String DEF_GROUP_SEARCH_FILTER

See Also:
  - Constant Field Values

### DEF_GROUP_SEARCH_BASE

public static final String DEF_GROUP_SEARCH_BASE

See Also:
  - Constant Field Values

### LDAP_SEARCH_CLASS

public static final String LDAP_SEARCH_CLASS

See Also:
  - Constant Field Values

### PERSON_MAPPER_CLASS

public static final String PERSON_MAPPER_CLASS

See Also:
  - Constant Field Values

### INET_ORG_PERSON_MAPPER_CLASS

public static final String INET_ORG_PERSON_MAPPER_CLASS

See Also:
  - Constant Field Values

### LDAP_USER_MAPPER_CLASS

public static final String LDAP_USER_MAPPER_CLASS

See Also:
  - Constant Field Values

### LDAP_AUTHORITIES_POPULATOR_CLASS

public static final String LDAP_AUTHORITIES_POPULATOR_CLASS

See Also:
  - Constant Field Values

## Constructor Details

### LdapUserServiceBeanDefinitionParser

public LdapUserServiceBeanDefinitionParser()

## Method Details

### getBeanClassName

protected String getBeanClassName(Element element)

Specified by:
  `getBeanClassName` in class `AbstractUserDetailsServiceBeanDefinitionParser`

### doParse

protected void doParse(Element elt, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

Specified by:
  `doParse` in class `AbstractUserDetailsServiceBeanDefinitionParser`